import {Component, Input} from '@angular/core';
import {Button} from 'primeng/button';
import {CardModule} from 'primeng/card';

@Component({
  selector: 'app-post-home',
  standalone: true,
  imports: [
    Button,
    CardModule
  ],
  templateUrl: './post-home.component.html',
  styleUrl: './post-home.component.css'
})
export class PostHomeComponent {
  @Input() title: string = '';
  @Input() illustration: string = '';
  @Input() category: string = '';
  @Input() date: Date = new Date();
  @Input() description: string = '';
  @Input() username: string = '';
  @Input() avatar: string = '';

}
